package com.fjhx.iot.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 设备枚举
 *
 * @author zlj
 */
@Getter
public enum ProductEnum {
    // 经编机
    JBJ("6350ae233ec34a6d03c89020", "经编机"),
    // 验布机
    YBJ("635897db3ec34a6d03c9616a", "验布机"),
    ;

    /**
     * 设备id
     */
    private final String productId;
    /**
     * 设备名称
     */
    private final String productName;

    ProductEnum(String productId, String productName) {
        this.productId = productId;
        this.productName = productName;
    }

    private static final Map<String, ProductEnum> CLASS_MAP = new HashMap<>();

    static {
        for (ProductEnum value : ProductEnum.values()) {
            CLASS_MAP.put(value.getProductId(), value);
        }
    }

    /**
     * 根据设备id获取枚举
     */
    public static ProductEnum getEnumByProductId(String productId) {
        return CLASS_MAP.get(productId);
    }

}
